﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-FAI (1 yr) VAC VER RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-FAI (1 yr) Integ VER RS-232 /5520
DATE:                  2011-04-21 19:24:59
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       244
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#
#  Required Files:
#        268x_UIM_5520_VER_INTEGRITY.bmp :
#             5520A to 268xA Universal Input Module Integrity Ch2~10, 12~20
#
# Additional Equipment Required:
#        Specially configured Universal Input Module
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         The UUT is initializing, wait...
# Reset the UUT.
  1.002  MATH         @UUTCommand = "*RST"
  1.003  CALL         Sub Fluke 268xA Send Command RS-232
  1.004  JMPL         END                          @Abort
# Set sample rate for UUT.
  1.005  MATH         @UUTCommand = "RATE " & @SlotTested & ",SLOW"
  1.006  CALL         Sub Fluke 268xA Send Command RS-232
  1.007  JMPL         END                          @Abort
# Set the sub procedure jump destination.
  1.008  JMPL         ACV                      PSUBI("VAC")
  1.009  JMPL         INTEGRITY                PSUBI("Integ")
  1.010  DISP         {Undefined subprocedure!}
  1.011  END

  1.012  EVAL   Increment step number

# =========== Sub Fluke 2680A-FAI (1 yr) VAC VER RS-232 /5520 ==========

  2.001  LABEL        ACV

  2.002  RSLT         =
  2.003  HEAD         {VOLTS AC ACCURACY TEST - SLOW RATE}

  2.004  RSLT         =
  2.005  HEAD         -2{300 mV Range}
  2.006  TARGET       -p
  2.007  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VAC,1"
  2.008  MATH         @QueryCommand = "MEAS? " & @SlotTested & "01"
  2.009  CALL         Sub Fluke 268xA Send Command RS-232
  2.010  JMPL         END                          @Abort

  2.011  5520         20.00mV                      1kH            SI    S  2W
  2.012  TARGET       -m
  2.013  CALL         Sub Fluke 268xA Query Measurement RS-232
  2.014  JMPL         END                          @Abort
  2.015  MATH         MEM = MEM / 1E-3
  2.016  MEMCX  300   20.00mV        0.3% 0.25U    1kH

  3.001  5520         20.00mV                      100kH          SI    S  2W
  3.002  CALL         Sub Fluke 268xA Query Measurement RS-232
  3.003  JMPL         END                          @Abort
  3.004  MATH         MEM = MEM / 1E-3
  3.005  MEMCX  300   20.00mV        5% 0.50U      100kH

  4.001  5520         300.00mV                     1kH            SI    S  2W
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.004  JMPL         END                          @Abort
  4.005  MATH         MEM = MEM / 1E-3
  4.006  MEMCX  300   300.00mV       0.3% 0.25U    1kH

  5.001  5520         300.00mV                     100kH          SI    S  2W
  5.002  TARGET       -m
  5.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  5.004  JMPL         END                          @Abort
  5.005  MATH         MEM = MEM / 1E-3
  5.006  MEMCX  300   300.00mV       5% 0.5U       100kH

  6.001  RSLT         =
  6.002  HEAD         -2{3 V Range}
  6.003  TARGET       -p
  6.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VAC,2"
  6.005  CALL         Sub Fluke 268xA Send Command RS-232
  6.006  JMPL         END                          @Abort

  6.007  5520         3.0000V                      1kH            SI    S  2W
  6.008  TARGET       -m
  6.009  CALL         Sub Fluke 268xA Query Measurement RS-232
  6.010  JMPL         END                          @Abort
  6.011  MEMCX  3     3.0000V        0.3% 0.0025U  1kH

  7.001  RSLT         =
  7.002  HEAD         -2{30 V Range}
  7.003  TARGET       -p
  7.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VAC,3"
  7.005  CALL         Sub Fluke 268xA Send Command RS-232
  7.006  JMPL         END                          @Abort

  7.007  5520         30.000V                      1kH            SI    S  2W
  7.008  TARGET       -m
  7.009  CALL         Sub Fluke 268xA Query Measurement RS-232
  7.010  JMPL         END                          @Abort
  7.011  MEMCX  30    30.000V        0.3% 0.025U   1kH

  8.001  JMPL         END

  8.002  EVAL   Increment step number

# ===========  Sub Fluke 2680A-FAI (1 yr) Integ VER RS-232 /5520 ========

  9.001  LABEL        INTEGRITY

  9.002  ASK-                              U

  9.003  RSLT         =
  9.004  HEAD         {ANALOG CHANNEL INTEGRITY TEST}
  9.005  TARGET
  9.006  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  9.007  DISP         PLEASE NOTE!
  9.007  DISP
  9.007  DISP         In the following hook-up, care must be taken to
  9.007  DISP         avoid using long length leads due to excessive
  9.007  DISP         lead resistance which may impair the validity
  9.007  DISP         of the test.
  9.008  PIC          268x_UIM_5520_VER_INTEGRITY

# Turn off channels 1~20.
  9.009  MATH         Chan = 1

  9.010  DO
  9.011  HEAD         -2 Clear Channel [V Chan], please wait.

# Convert channel nubmer to 2 digits.
  9.012  IF           Chan < 10
  9.013  MATH         Ch = "0" & Chan
  9.014  ELSE
  9.015  MATH         Ch = Chan
  9.016  ENDIF

  9.017  MATH         @UUTCommand = "FUNC " & @SlotTested & Ch & ",OFF"
  9.018  CALL         Sub Fluke 268xA Send Command RS-232
  9.019  JMPL         END                          @Abort
  9.020  MATH         Chan = Chan + 1
  9.021  UNTIL        Chan > 20

  9.022  HEAD         ANALOG CHANNEL INTEGRITY TEST (SLOT [V @SlotTested])
  9.023  MATH         @Channel = 2
  9.024  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.025  JMPL         END                          @Abort
  9.026  MATH         @Channel = 3
  9.027  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.028  JMPL         END                          @Abort
  9.029  MATH         @Channel = 4
  9.030  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.031  JMPL         END                          @Abort
  9.032  MATH         @Channel = 5
  9.033  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.034  JMPL         END                          @Abort
  9.035  MATH         @Channel = 6
  9.036  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.037  JMPL         END                          @Abort
  9.038  MATH         @Channel = 7
  9.039  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.040  JMPL         END                          @Abort
  9.041  MATH         @Channel = 8
  9.042  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.043  JMPL         END                          @Abort
  9.044  MATH         @Channel = 9
  9.045  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.046  JMPL         END                          @Abort
  9.047  MATH         @Channel = 10
  9.048  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.049  JMPL         END                          @Abort
  9.050  MATH         @Channel = 12
  9.051  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.052  JMPL         END                          @Abort
  9.053  MATH         @Channel = 13
  9.054  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.055  JMPL         END                          @Abort
  9.056  MATH         @Channel = 14
  9.057  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.058  JMPL         END                          @Abort
  9.059  MATH         @Channel = 15
  9.060  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.061  JMPL         END                          @Abort
  9.062  MATH         @Channel = 16
  9.063  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.064  JMPL         END                          @Abort
  9.065  MATH         @Channel = 17
  9.066  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.067  JMPL         END                          @Abort
  9.068  MATH         @Channel = 18
  9.069  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.070  JMPL         END                          @Abort
  9.071  MATH         @Channel = 19
  9.072  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
  9.073  JMPL         END                          @Abort
  9.074  MATH         @Channel = 20
  9.075  CALL         Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520

  9.076  LABEL        END
  9.077  HEAD
  9.078  HEAD         -2
  9.079  5520         *                                                 S
  9.080  END
