﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-PAI (1 yr) Integrity Test RS-232 /5520
DATE:                  2011-04-21 19:24:58
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       112
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#
#  Required Files:
#        None
#
# Additional Equipment Required:
#        Specially configured Universal Input Module
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         -2{Channel [V @Channel]}
  1.003  TARGET

  1.004  IF           @Channel < 10
  1.005  MATH         @Channel = "0" & @Channel
  1.006  ENDIF

  1.007  MATH         SlotChan = @SlotTested & @Channel
  1.008  JMPL         PAI                          PSUBI("PAI")
  1.009  JMPL         FAI                          PSUBI("FAI")
  1.010  DISP         Subprocedure not found!
  1.011  MATH         @Abort = 1
  1.012  END

# =====  Sub Fluke 2680A-FAI (1 yr) Integrity Test RS-232 /5520  =============

  1.013  LABEL        PAI
  1.014  MATH         @UUTCommand = "FUNC " & SlotChan & ",OHMS,1,2"
  1.015  CALL         Sub Fluke 268xA Send Command RS-232
  1.016  JMPL         END                          @Abort
  1.017  MEM2         =MEAS? [V @SlotTested]
  1.018  MATH         @QueryCommand = "MEAS? " & SlotChan
  1.019  CALL         Sub Fluke 268xA Query Measurement RS-232
  1.020  JMPL         END                          @Abort
  1.021  EVAL   -e MEM >= +1E+9 : Leads Open

# Set 5520A to zero Ohms (2 wire).
  2.001  5520         0Z                                                S  2W
  2.002  CALL         Sub Fluke 268xA Query Measurement RS-232
  2.003  JMPL         END                          @Abort
  2.004  EVAL   -e MEM <= 10 : Leads Short

  3.001  JMPL         END

  3.002  EVAL   Increment step number

  4.001  LABEL        FAI
  4.002  MATH         @UUTCommand = "FUNC " & SlotChan & ",OHMS,3,2"
  4.003  CALL         Sub Fluke 268xA Send Command RS-232
  4.004  JMPL         END                      @Abort
  4.005  MATH         @QueryCommand = "MEAS? " & SlotChan
  4.006  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.007  JMPL         END                      @Abort
  4.008  EVAL   -e MEM >= +1E+9 : Leads Open

  5.001  5520         0Z                                                S  2W
  5.002  CALL         Sub Fluke 268xA Query Measurement RS-232
  5.003  JMPL         END                      @Abort
  5.004  EVAL   -e MEM <= 1000 : Leads Short

  6.001  LABEL        END
# Reset 5520A to create open.
  6.002  5520         *                                                 S
  6.003  MATH         @UUTCommand = "FUNC " & SlotChan & ",OFF"
  6.004  CALL         Sub Fluke 268xA Send Command RS-232

  6.005  HEAD         -2
  6.006  END
